Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.12 veröffentlicht (22.05.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Fehlermeldung nach upgrade
#1
Hallo ich habe auf die neueste version 1412 upgrade erfolgreich gemacht
jetzt erscheint im forum

für user sogar sichtbar:

Warning [2] getmypid() has been disabled for security reasons - Line: 5619
[PHP] errorHandler->error
/inc/functions.php 5619 getmypid
/inc/functions.php 5648 secure_seed_rng
/inc/functions.php 2174 my_rand
/newreply.php 218 random_str

ich habe die inc/functions.php aus der Version 1411 installiert,-die Meldung kommt nicht mehr_
aber das ist sicherlich nicht im sinne des erfinders...

Welche andere Lösung gibt es noch?

Danke
ando
#2
Lösche in der Datei einfach mal diesen Teil (genau so, mit dem Punkt und ohne das Semikolon):
PHP-Code:
.getmypid() 
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#3
Hallo,

ich tippe mal auf eine Fehlkonfiguration des Servers.
Ist register_globals on?
Welche PHP Version hast du?
Was ist safe_mode? Off?

Beste Grüße
magent

Zitat: Wir sind zu dick. Wir sind zu hässlich. Glatzen sind out. Dicke Dinger in. Geiz ist geil und ohne Hugo Boss bist du kein Mann. Nur mit Premiere gibt es noch gute Zeiten und nur Miracoli bringt Leben an den Tisch ... Ich bin doch nicht blöd.
#4
Danke Stefan
So hats funktioniert
das Löschen von
.getmypid()

Liebe Grüße
Ando
#5
Guten Morgen,

ich bitte dich noch, diesen Thread als erledigt zu markieren. Wink

Beste Grüße
magent

Zitat: Fordere viel von dir selbst und erwarte wenig von anderen. So wird dir viel Ärger erspart bleiben.
(Konfuzius, chin. Philosoph, 551-479 v.Chr.)


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Fehlermeldung nach Upgrade Krustentier7 5 1.380 25.02.2009, 20:50
Letzter Beitrag: BioHazard